PDA

View Full Version : [ubuntu] 9.10 X-Fi Fatal1ty Pro Dolby Digital Live



Commander_Bob
April 29th, 2010, 01:32 AM
I have a X-Fi Fatal1ty Pro sound card and I need it to use Dolby Digital Live. This card is supposed to work "out of the box" from 9.10 and above. However, the included driver doesn't work well for me. It only sometimes works and when it does only one of my speakers outputs sound (the left front one). No, it is not a balance issue, if I make the balance all the way right no sound comes out at all. If I stop playing any sound for a few seconds a really loud hiss is emitted from all my speakers so I have to always have something going.

Let me say that I am dual booting Win 7 (for games) and my sound card works flawlessly here. I did have to do some stuff to get Dolby Digital Live enabled on the sound card. In Windows the sound card encodes what would be the analog surround sound into Dolby Digital and outputs it over toslink.

In ubuntu I don't use surround for anything, I pretty much only play music, but my speakers work much better when the card is in Dolby Digital Live mode.

BTW, I tried the beta for 10.04 and the exact same problem exists for me.

Any ideas on how to get this to work?

Thanks,
Justin

beyondcr
April 29th, 2010, 03:47 AM
I have a creative xfi card also and cannot get the audio to work with 10.4 I tried downloading the audio drivers and could not get it to work... is there a solution for this yet?

lidex
April 29th, 2010, 04:03 AM
Have a look here:
http://ubuntuforums.org/search.php?searchid=72379378

Commander_Bob
April 29th, 2010, 05:05 AM
I have checked that out before. That's how I got it to work prior to 9.10. However, stuff is different, the whole audio panel is different and I couldn't get it to work.

azLinux
July 19th, 2010, 05:15 PM
I also have the same issue. I've tried so many things but it just doesn't work and it's forcing me back to crumby vista :(
I have to have my surround sound, movies sound terrible without it!
Any one have a solution for this? It seems like with each new release of Ubuntu something which was working before is now broken. I love ubuntu but this is keeping me from fully moving over.

Help!